diff --git a/test/ruby/test_keyword.rb b/test/ruby/test_keyword.rb
index a0459553ac..f6e882a8d4 100644
--- a/test/ruby/test_keyword.rb
+++ b/test/ruby/test_keyword.rb
@@ -1004,34 +1004,34 @@ def test_Enumerator_Yielder_yield_kwsplat
     assert_equal(h2, g.new{|y| y.yield(**h2)}.each(&f))
     assert_equal(h3, g.new{|y| y.yield(**h3)}.each(&f))
     assert_equal(h3, g.new{|y| y.yield(a: 1, **h2)}.each(&f))
-    assert_warn(/Using the last argument as keyword parameters is deprecated.*The called method is defined here/m) do
+    assert_warning(/Using the last argument as keyword parameters is deprecated.*The called method is defined here/m) do
       assert_equal(h, g.new{|y| y.yield(h)}.each(&f))
     end
     assert_raise(ArgumentError) { g.new{|y| y.yield(h2)}.each(&f) }
-    assert_warn(/Splitting the last argument into positional and keyword parameters is deprecated.*The called method is defined here/m) do
+    assert_warning(/Splitting the last argument into positional and keyword parameters is deprecated.*The called method is defined here/m) do
       assert_raise(ArgumentError) { g.new{|y| y.yield(h3)}.each(&f) }
     end
 
     f = ->(a, **x) { [a,x] }
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated/) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated/) do
       assert_equal([{}, {}], g.new{|y| y.yield(**{})}.each(&f))
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated/) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated/) do
       assert_equal([{}, {}], g.new{|y| y.yield(**kw)}.each(&f))
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated/) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated/) do
       assert_equal([h, {}], g.new{|y| y.yield(**h)}.each(&f))
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated/) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated/) do
       assert_equal([h, {}], g.new{|y| y.yield(a: 1)}.each(&f))
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated/) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated/) do
       assert_equal([h2, {}], g.new{|y| y.yield(**h2)}.each(&f))
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated/) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated/) do
       assert_equal([h3, {}], g.new{|y| y.yield(**h3)}.each(&f))
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated/) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated/) do
       assert_equal([h3, {}], g.new{|y| y.yield(a: 1, **h2)}.each(&f))
     end
 
@@ -1087,10 +1087,10 @@ def initialize(args)
         @args = args
       end
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `initialize'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `initialize'/m) do
       assert_equal(kw, c[**{}].args)
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `initialize'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `initialize'/m) do
       assert_equal(kw, c[**kw].args)
     end
     assert_equal(h, c[**h].args)
@@ -1111,11 +1111,11 @@ def initialize(**args)
     assert_equal(h2, c[**h2].args)
     assert_equal(h3, c[**h3].args)
     assert_equal(h3, c[a: 1, **h2].args)
-    assert_warn(/Using the last argument as keyword parameters is deprecated.*The called method `initialize'/m) do
+    assert_warning(/Using the last argument as keyword parameters is deprecated.*The called method `initialize'/m) do
       assert_equal(h, c[h].args)
     end
     assert_raise(ArgumentError) { c[h2].args }
-    assert_warn(/Splitting the last argument into positional and keyword parameters is deprecated.*The called method `initialize'/m) do
+    assert_warning(/Splitting the last argument into positional and keyword parameters is deprecated.*The called method `initialize'/m) do
       assert_raise(ArgumentError) { c[h3].args }
     end
 
@@ -1124,25 +1124,25 @@ def initialize(arg, **args)
         @args = [arg, args]
       end
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `initialize'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `initialize'/m) do
       assert_equal([kw, kw], c[**{}].args)
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `initialize'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `initialize'/m) do
       assert_equal([kw, kw], c[**kw].args)
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `initialize'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `initialize'/m) do
       assert_equal([h, kw], c[**h].args)
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `initialize'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `initialize'/m) do
       assert_equal([h, kw], c[a: 1].args)
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `initialize'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `initialize'/m) do
       assert_equal([h2, kw], c[**h2].args)
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `initialize'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `initialize'/m) do
       assert_equal([h3, kw], c[**h3].args)
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `initialize'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `initialize'/m) do
       assert_equal([h3, kw], c[a: 1, **h2].args)
     end
 
@@ -1199,10 +1199,10 @@ def initialize(args)
         @args = args
       end
     end.method(:new)
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `initialize'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `initialize'/m) do
       assert_equal(kw, c[**{}].args)
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `initialize'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `initialize'/m) do
       assert_equal(kw, c[**kw].args)
     end
     assert_equal(h, c[**h].args)
@@ -1223,11 +1223,11 @@ def initialize(**args)
     assert_equal(h2, c[**h2].args)
     assert_equal(h3, c[**h3].args)
     assert_equal(h3, c[a: 1, **h2].args)
-    assert_warn(/Using the last argument as keyword parameters is deprecated.*The called method `initialize'/m) do
+    assert_warning(/Using the last argument as keyword parameters is deprecated.*The called method `initialize'/m) do
       assert_equal(h, c[h].args)
     end
     assert_raise(ArgumentError) { c[h2].args }
-    assert_warn(/Splitting the last argument into positional and keyword parameters is deprecated.*The called method `initialize'/m) do
+    assert_warning(/Splitting the last argument into positional and keyword parameters is deprecated.*The called method `initialize'/m) do
       assert_raise(ArgumentError) { c[h3].args }
     end
 
@@ -1236,25 +1236,25 @@ def initialize(arg, **args)
         @args = [arg, args]
       end
     end.method(:new)
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `initialize'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `initialize'/m) do
       assert_equal([kw, kw], c[**{}].args)
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `initialize'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `initialize'/m) do
       assert_equal([kw, kw], c[**kw].args)
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `initialize'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `initialize'/m) do
       assert_equal([h, kw], c[**h].args)
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `initialize'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `initialize'/m) do
       assert_equal([h, kw], c[a: 1].args)
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `initialize'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `initialize'/m) do
       assert_equal([h2, kw], c[**h2].args)
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `initialize'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `initialize'/m) do
       assert_equal([h3, kw], c[**h3].args)
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `initialize'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `initialize'/m) do
       assert_equal([h3, kw], c[a: 1, **h2].args)
     end
 
@@ -1304,10 +1304,10 @@ def c.m; end
     def c.m(args)
       args
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
       assert_equal(kw, c.method(:m)[**{}])
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
       assert_equal(kw, c.method(:m)[**kw])
     end
     assert_equal(h, c.method(:m)[**h])
@@ -1327,11 +1327,11 @@ def c.m(**args)
     assert_equal(h2, c.method(:m)[**h2])
     assert_equal(h3, c.method(:m)[**h3])
     assert_equal(h3, c.method(:m)[a: 1, **h2])
-    assert_warn(/Using the last argument as keyword parameters is deprecated.*The called method `m'/m) do
+    assert_warning(/Using the last argument as keyword parameters is deprecated.*The called method `m'/m) do
       assert_equal(h, c.method(:m)[h])
     end
     assert_raise(ArgumentError) { c.method(:m)[h2] }
-    assert_warn(/Splitting the last argument into positional and keyword parameters is deprecated.*The called method `m'/m) do
+    assert_warning(/Splitting the last argument into positional and keyword parameters is deprecated.*The called method `m'/m) do
       assert_raise(ArgumentError) { c.method(:m)[h3] }
     end
 
@@ -1339,25 +1339,25 @@ def c.m(**args)
     def c.m(arg, **args)
       [arg, args]
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
       assert_equal([kw, kw], c.method(:m)[**{}])
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
       assert_equal([kw, kw], c.method(:m)[**kw])
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
       assert_equal([h, kw], c.method(:m)[**h])
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
       assert_equal([h, kw], c.method(:m)[a: 1])
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
       assert_equal([h2, kw], c.method(:m)[**h2])
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
       assert_equal([h3, kw], c.method(:m)[**h3])
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
       assert_equal([h3, kw], c.method(:m)[a: 1, **h2])
     end
 
@@ -1407,10 +1407,10 @@ def c.m; end
     def c.m(args)
       args
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
       assert_equal(kw, sc.instance_method(:m).bind_call(c, **{}))
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
       assert_equal(kw, sc.instance_method(:m).bind_call(c, **kw))
     end
     assert_equal(h, sc.instance_method(:m).bind_call(c, **h))
@@ -1430,11 +1430,11 @@ def c.m(**args)
     assert_equal(h2, sc.instance_method(:m).bind_call(c, **h2))
     assert_equal(h3, sc.instance_method(:m).bind_call(c, **h3))
     assert_equal(h3, sc.instance_method(:m).bind_call(c, a: 1, **h2))
-    assert_warn(/Using the last argument as keyword parameters is deprecated.*The called method `m'/m) do
+    assert_warning(/Using the last argument as keyword parameters is deprecated.*The called method `m'/m) do
       assert_equal(h, sc.instance_method(:m).bind_call(c, h))
     end
     assert_raise(ArgumentError) { sc.instance_method(:m).bind_call(c, h2) }
-    assert_warn(/Splitting the last argument into positional and keyword parameters is deprecated.*The called method `m'/m) do
+    assert_warning(/Splitting the last argument into positional and keyword parameters is deprecated.*The called method `m'/m) do
       assert_raise(ArgumentError) { sc.instance_method(:m).bind_call(c, h3) }
     end
 
@@ -1442,25 +1442,25 @@ def c.m(**args)
     def c.m(arg, **args)
       [arg, args]
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
       assert_equal([kw, kw], sc.instance_method(:m).bind_call(c, **{}))
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
       assert_equal([kw, kw], sc.instance_method(:m).bind_call(c, **kw))
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
       assert_equal([h, kw], sc.instance_method(:m).bind_call(c, **h))
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
       assert_equal([h, kw], sc.instance_method(:m).bind_call(c, a: 1))
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
       assert_equal([h2, kw], sc.instance_method(:m).bind_call(c, **h2))
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
       assert_equal([h3, kw], sc.instance_method(:m).bind_call(c, **h3))
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
       assert_equal([h3, kw], sc.instance_method(:m).bind_call(c, a: 1, **h2))
     end
 
@@ -1509,10 +1509,10 @@ def c.m; end
     def c.m(args)
       args
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
       assert_equal(kw, c.send(:m, **{}))
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
       assert_equal(kw, c.send(:m, **kw))
     end
     assert_equal(h, c.send(:m, **h))
@@ -1532,11 +1532,11 @@ def c.m(**args)
     assert_equal(h2, c.send(:m, **h2))
     assert_equal(h3, c.send(:m, **h3))
     assert_equal(h3, c.send(:m, a: 1, **h2))
-    assert_warn(/Using the last argument as keyword parameters is deprecated.*The called method `m'/m) do
+    assert_warning(/Using the last argument as keyword parameters is deprecated.*The called method `m'/m) do
       assert_equal(h, c.send(:m, h))
     end
     assert_raise(ArgumentError) { c.send(:m, h2) }
-    assert_warn(/Splitting the last argument into positional and keyword parameters is deprecated.*The called method `m'/m) do
+    assert_warning(/Splitting the last argument into positional and keyword parameters is deprecated.*The called method `m'/m) do
       assert_raise(ArgumentError) { c.send(:m, h3) }
     end
 
@@ -1544,25 +1544,25 @@ def c.m(**args)
     def c.m(arg, **args)
       [arg, args]
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
       c.send(:m, **{})
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
       c.send(:m, **kw)
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
       assert_equal([h, kw], c.send(:m, **h))
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
       assert_equal([h, kw], c.send(:m, a: 1))
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
       assert_equal([h2, kw], c.send(:m, **h2))
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
       assert_equal([h3, kw], c.send(:m, **h3))
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
       assert_equal([h3, kw], c.send(:m, a: 1, **h2))
     end
 
@@ -1611,10 +1611,10 @@ def c.m; end
     def c.m(args)
       args
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
       assert_equal(kw, c.public_send(:m, **{}))
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
       assert_equal(kw, c.public_send(:m, **kw))
     end
     assert_equal(h, c.public_send(:m, **h))
@@ -1634,11 +1634,11 @@ def c.m(**args)
     assert_equal(h2, c.public_send(:m, **h2))
     assert_equal(h3, c.public_send(:m, **h3))
     assert_equal(h3, c.public_send(:m, a: 1, **h2))
-    assert_warn(/Using the last argument as keyword parameters is deprecated.*The called method `m'/m) do
+    assert_warning(/Using the last argument as keyword parameters is deprecated.*The called method `m'/m) do
       assert_equal(h, c.public_send(:m, h))
     end
     assert_raise(ArgumentError) { c.public_send(:m, h2) }
-    assert_warn(/Splitting the last argument into positional and keyword parameters is deprecated.*The called method `m'/m) do
+    assert_warning(/Splitting the last argument into positional and keyword parameters is deprecated.*The called method `m'/m) do
       assert_raise(ArgumentError) { c.public_send(:m, h3) }
     end
 
@@ -1646,25 +1646,25 @@ def c.m(**args)
     def c.m(arg, **args)
       [arg, args]
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
       c.public_send(:m, **{})
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
       c.public_send(:m, **kw)
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
       assert_equal([h, kw], c.public_send(:m, **h))
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
       assert_equal([h, kw], c.public_send(:m, a: 1))
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
       assert_equal([h2, kw], c.public_send(:m, **h2))
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
       assert_equal([h3, kw], c.public_send(:m, **h3))
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
       assert_equal([h3, kw], c.public_send(:m, a: 1, **h2))
     end
 
@@ -1716,10 +1716,10 @@ def c.m(args)
       args
     end
     m = c.method(:send)
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
       assert_equal(kw, m.call(:m, **{}))
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
       assert_equal(kw, m.call(:m, **kw))
     end
     assert_equal(h, m.call(:m, **h))
@@ -1740,11 +1740,11 @@ def c.m(**args)
     assert_equal(h2, m.call(:m, **h2))
     assert_equal(h3, m.call(:m, **h3))
     assert_equal(h3, m.call(:m, a: 1, **h2))
-    assert_warn(/Using the last argument as keyword parameters is deprecated.*The called method `m'/m) do
+    assert_warning(/Using the last argument as keyword parameters is deprecated.*The called method `m'/m) do
       assert_equal(h, m.call(:m, h))
     end
     assert_raise(ArgumentError) { m.call(:m, h2) }
-    assert_warn(/Splitting the last argument into positional and keyword parameters is deprecated.*The called method `m'/m) do
+    assert_warning(/Splitting the last argument into positional and keyword parameters is deprecated.*The called method `m'/m) do
       assert_raise(ArgumentError) { m.call(:m, h3) }
     end
 
@@ -1753,25 +1753,25 @@ def c.m(arg, **args)
       [arg, args]
     end
     m = c.method(:send)
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
       m.call(:m, **{})
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
       m.call(:m, **kw)
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
       assert_equal([h, kw], m.call(:m, **h))
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
       assert_equal([h, kw], m.call(:m, a: 1))
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
       assert_equal([h2, kw], m.call(:m, **h2))
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
       assert_equal([h3, kw], m.call(:m, **h3))
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
       assert_equal([h3, kw], m.call(:m, a: 1, **h2))
     end
 
@@ -1821,10 +1821,10 @@ def c.m; end
     def c.m(args)
       args
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
       assert_equal(kw, :m.to_proc.call(c, **{}))
     end
-    assert_warn(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
+    assert_warning(/Passing the keyword argument as the last hash parameter is deprecated.*The called method `m'/m) do
       assert_equal(kw, :m.to_proc.call(c, **kw))
     end
     assert_equal(h, :m.to_proc.call(c, **h))
@@ -1844,11 +1844,11 @@ def c.m(**args)
     assert_equal(h2, :m.to_proc.call(c, **h2))
     assert_equal(h3, :m.to_proc.call(c, **h3))
     assert_equal(h3, :m.to_proc.call(c, a: 1, **h2))
-    assert_warn(/Using the last argument as keyword parameters is deprecated.*The called method `m'/m) do
+    assert_warning(/Using the last argument as keyword parameters is deprecated.*The called method `m'/m) do
       assert_equal(h, :m.to_proc.call(c, h))
     end
     assert_raise(ArgumentError) { :m.to_proc.call(c, h2) }
-    assert_warn(/Splitting the last argument into positional and keyword parameters is deprecated.*The called method `m'/m) do
+    assert_warning(/Splitting the last argument into positional and keyword parameters is deprecated.*The called method `m'/m) do
       assert_raise(ArgumentError) { :m.to_proc.call(c, h3) }
     end
 
